<!DOCTYPE html>

<head>
    <title>HTML Forms</title>
</head>

<body>
    <h2>HTML Form</h2>
    <!-- <form> creates an HTML form to capture user input -->
    <!-- <button> creates a button that will trigger the form submission. -->
    <form action="">
        <!-- type attribute used to submit the form data -->
        <label for="full_name">Full name:</label>
        <input type="text" id="full_name" name="fullName" required autocomplete>
        <br><br>
        <!-- 
            <label> creates a text element that will serve as a label for an input field.
            <input> creates a form input element to capture user input
            <for> attribute is used with the "id" attribute in an input elements             
            <type> attribute will define what type of information the input field should have.
            <name> attribute will provide the input field with a name that we can use to associate with the information provided by the user.
                -->
        <label for="birthdate">Birth date:</label>
        <input type="date" id="birthdate" name="birthDate" required>
        <br><br>
        <label for="age">Age:</label>
        <input type="number" id="age" name="_age" required>
        <br><br>


        <label for="gender">Gender:</label>
        <select name="gender" id="gender">
            <option value="male">Male</option>
            <option value="female">Female</option>
        </select>
        <!-- value attribute is the information that will be ent when the form is submitted. -->
        <br><br>


        <label for="notes">Notes:</label>
        <textarea name="notes" id="notes" cols="30" rows="10" style="resize: none;"></textarea>        
        <br><br>

        <label for="">New User:</label>
        <input type="radio" id="user-type1" name="new_user" value="yes">
        <label for="user-type1">Yes</label>

        <input type="radio" id="user-type2" name="new_user" value="no">
        <label for="user-type2">No</label>
        <br><br>    

        <label for="">Role:</label>
        <br>
        <input type="checkbox" name="role1" id="role1" value="developer">
        <label for="role1">Developer</label>
        <br>
        <input type="checkbox" name="role2" id="role2" value="student">
        <label for="role2">Student</label>
        <br>
        <input type="checkbox" name="role3" id="role3" value="manager">
        <label for="role3">Manager</label>
        <br>

        <br><br>
        <button type="submit">Submit</button>
        <button type="reset">Reset</button>
    </form>

    <header>
        <h1>HTML Tables and Forms</h1>
        <nav>

        </nav>
    </header>
    <main>
        <h1>HTML Entities</h1>
        <article>
            <figure>
                
            </figure>
        </article>
        <section>

        </section>
        <aside>

        </aside>
    </main>
    <footer>
        <h1>HTML Forms</h1>
    </footer>
</body>

</html>